> ## Name

> cgGetMatrixParameterir - get the values from a matrix parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgGetMatrixParameterir( CGparameter param,
>                                  int * matrix );

> ## Parameters

> param
>   The parameter from which the values will be returned.
> matrix
>   An array of ints into which the matrix values will be written. The array must have size equal to the number of rows in the matrix times the number of columns in the matrix.

> ## Return Values

> None.

> ## Description

> cgGetMatrixParameterir retrieves the values of the given matrix parameter using row-major ordering.

> ## Examples

> to-be-written

> ## Errors

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetMatrixParameterir was introduced in Cg 1.4.

> ## See Also

> cgGetParameterRows, cgGetParameterColumns, cgGetMatrixParameter, cgGetParameterValues